Bug 218758 - security/py-certbot: incorrect (non-working) instructions in pkg-message
Summary: security/py-certbot: incorrect (non-working) instructions in pkg-message
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Carlos J. Puga Medina
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-19 16:05 UTC by Justin Clift
Modified: 2017-04-26 16:25 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+
cpm: merge-quarterly+


Attachments
patch (1.97 KB, patch)
2017-04-25 16:06 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (koobs)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Clift 2017-04-19 16:05:25 UTC
After installing py-certbot, the following pkg-message is displayed:

===========================================================================

The Let's Encrypt Client is BETA SOFTWARE. It contains plenty of bugs and
rough edges, and should be tested thoroughly in staging environments before
use on production systems.

This port installs the "standalone" Python client only, which does not use and
is not the letsencrypt-auto bootstrap/wrapper script.

To obtain certificates, use the 'certonly' command as follows:

 # sudo certbot --server <server-URL> certonly

Note: The client currently requires the ability to bind on TCP port 80. If
you have a server running on this port, it will need to be temporarily stopped
so that the standalone server can listen on that port to complete
authentication.

The letsencrypt plugins to support apache and nginx certificate installation
will be made available soon in the following ports:

 * Apache plugin: security/py-letsencrypt-apache
 * Nginx plugin: security/py-letsencrypt-nginx

===========================================================================

The "# sudo certbot --server <server-URL> certonly" line there is incorrect, and generates a misleading error message.  eg the line "seems like" the right kind of thing, but doesn't actually work + barfs with a misleading error message. :(

The associated log files talk about "Connection refused", which is weird as I'd specified to spin up a standalone web server each time.

It turns out the solution is to use a slightly different command line:

  # certbot certonly --standalone -d [server FQDN]

eg:

  # certbot certonly --standalone -d lists.sqlitebrowser.org

This works as expected, generating certs etc.  So, the pkg-message should probably be updated to reflect that. :)
Comment 1 Carlos J. Puga Medina freebsd_committer 2017-04-25 16:06:46 UTC
Created attachment 182082 [details]
patch

- Update pkg-descr and pkg-message to cope with the renaming to "certbot"
  and fix the example certonly command.
Comment 2 Justin Clift 2017-04-25 16:23:20 UTC
Thanks Carlos, looks good to me. :)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-04-26 02:50:44 UTC
@Carlos, If you could commit the pkg-message update first and separately so that it can be merged to the quarterly branch that would be great

Assign to Carlos as he'll be taking care of resolution
Comment 4 commit-hook freebsd_committer 2017-04-26 15:42:44 UTC
A commit references this bug:

Author: cpm
Date: Wed Apr 26 15:41:49 UTC 2017
New revision: 439461
URL: https://svnweb.freebsd.org/changeset/ports/439461

Log:
  security/py-certbot: fix incorrect instructions in pkg-message

  - Fix the example certonly command

  While here, update pkg-message to cope with the renaming to "certbot"

  PR:		218758
  Submitted by:	cpm (based on)
  Reported by:	Justin Clift <justin@postgresql.org>
  Approved by:	koobs (maintainer)
  MFH:		2017Q2

Changes:
  head/security/py-certbot/pkg-message
Comment 5 commit-hook freebsd_committer 2017-04-26 16:24:17 UTC
A commit references this bug:

Author: cpm
Date: Wed Apr 26 16:23:21 UTC 2017
New revision: 439463
URL: https://svnweb.freebsd.org/changeset/ports/439463

Log:
  MFH: r439461

  security/py-certbot: fix incorrect instructions in pkg-message

  - Fix the example certonly command

  While here, update pkg-message to cope with the renaming to "certbot"

  PR:		218758
  Submitted by:	cpm (based on)
  Reported by:	Justin Clift <justin@postgresql.org>
  Approved by:	koobs (maintainer)

  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2017Q2/
  branches/2017Q2/security/py-certbot/pkg-message
Comment 6 Carlos J. Puga Medina freebsd_committer 2017-04-26 16:25:10 UTC
Committed!

Thanks